﻿using Newtonsoft.Json;

namespace SteamGameTimeTrack;

public struct Session
{
    public int AppId;
    public string Name;
    public DateTime SessionStarted;
    public TimeSpan SessionDuration;
    [JsonIgnore] public DateTime SessionEnded => SessionStarted.Add(SessionDuration);

    public static Session FromGameTime(GameTime gameTime)
    {
        if (gameTime.GameStarted is null)
            throw new ArgumentNullException(nameof(GameTime.GameStarted));
        return new Session()
        {
            AppId = gameTime.appid,
            Name = gameTime.name,
            SessionStarted = gameTime.GameStarted.Value,
            SessionDuration = gameTime.Session!.Value
        };
    }
}